@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap');

:root {
	--clr-main: #840000;
    --clr-white: #ffffff;
    --clr-gray: #afafaf;
    --clr-red: #961818;
    --clr-red-ligth: #ce0000;
    --clr-black: #000000;
}

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-family: 'Poppins', sans-serif;
}

ul{
    list-style-type: none;
}

a {
    text-decoration: none;
}

/****************************************/
/*                ASIDE                 */
/****************************************/

.wrapper {
    display: grid;
    grid-template-columns: 1fr 4fr;
    background-color: var(--clr-main);
}

aside {
    padding: 2rem;
    padding-right: 0;
    color: var(--clr-white);
    position: sticky;
    top: 0;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.texto footer{
    background-color: var(--clr-gray);
    color: var(--clr-white);
}

.menu {
    display: flex;
    flex-direction: column;
    gap: .5rem;
}

.boton-menu {
    background-color: transparent;
    border: 0;
    color: var(--clr-white);
    font-size: 0rem;
    cursor: pointer;
    display: flex;
    gap: 1rem;
    font-weight: 500;
    padding: .5rem;
    font-size: .95rem;
}

.boton-menu.active{
    background-color: var(--clr-white);
    color: var(--clr-main);
    width: 100%;
    border-top-left-radius: 1rem;
    border-bottom-left-radius: 1rem;
}


/**************************************/
/*              MAIN                  */
/**************************************/

main {
    background-color: var(--clr-white);
    margin: 1rem;
    margin-left: 0;
    border-radius: 1rem;
    padding: 2rem;
}

.titulo-principal {
    color: var(--clr-main);
}

.boton-regresar a{
    color: var(--clr-white);
}

/****************************************/
/*             PRODUCTOS                */
/****************************************/

.contenedor-productos {
    display: grid;
    grid-template-columns: repeat(4, 2fr);
    gap: 2rem;
}

.producto-imagen {
    max-width: 50%;
}

.producto-detalles {
    background-color: var(--clr-white);
    color: var(--clr-main);
    padding: .5rem;
    margin-top: -2rem;
    position: relative;
    display:flex;
    flex-direction: column;
    gap: .55rem;
}

.producto-titulo {
    font-size: 1rem;
}

.producto-info {
    border: 0;
    background-color: var(--clr-main);
    color: var(--clr-white);
    padding: .8rem;
    text-transform: uppercase;
    border-radius: 2rem;
    cursor: pointer;
    border: 2px solid var(--clr-black);
}

.producto-info:hover {
    background-color: var(--clr-main);
    color: var(--clr-red-ligth);
}

/*****************************************/
/*                MODALS                 */
/*****************************************/

#modal::backdrop, #modal2::backdrop, #modal3::backdrop, #modal4::backdrop, #modal5::backdrop,
#modal6::backdrop, #modal7::backdrop, #modal8::backdrop, #modal9::backdrop, #modal10::backdrop,
#modal11::backdrop, #modal12::backdrop, #modal13::backdrop, #modal14::backdrop, #modal15::backdrop,
#modal16::backdrop, #modal17::backdrop, #modal18::backdrop, #modal19::backdrop, #modal20::backdrop,
#modal21::backdrop, #modal22::backdrop, #modal23::backdrop, #modal24::backdrop, #modal25::backdrop,
#modal26::backdrop, #modal27::backdrop, #modal28::backdrop, #modal29::backdrop, #modal20::backdrop,
#modal31::backdrop, #modal32::backdrop, #modal33::backdrop, #modal34::backdrop, #modal35::backdrop,
#modal36::backdrop, #modal37::backdrop, #modal38::backdrop, #modal39::backdrop, #modal40::backdrop,
#modal41::backdrop, #modal42::backdrop, #modal43::backdrop, #modal44::backdrop, #modal45::backdrop,
#modal46::backdrop, #modal47::backdrop, #modal48::backdrop, #modal49::backdrop, #modal50::backdrop,
#modal51::backdrop, #modal52::backdrop, #modal53::backdrop, #modal54::backdrop, #modal55::backdrop,
#modal56::backdrop, #modal57::backdrop, #modal58::backdrop, #modal59::backdrop, #modal60::backdrop,
#modal61::backdrop, #modal62::backdrop, #modal63::backdrop, #modal64::backdrop, #modal65::backdrop,
#modal66::backdrop, #modal67::backdrop, #modal68::backdrop, #modal69::backdrop, #modal70::backdrop,
#modal71::backdrop, #modal72::backdrop, #modal73::backdrop, #modal74::backdrop, #modal75::backdrop,
#modal76::backdrop, #modal77::backdrop, #modal78::backdrop, #modal79::backdrop, #modal80::backdrop,
#modal81::backdrop, #modal82::backdrop, #modal83::backdrop, #modal84::backdrop, #modal85::backdrop, #modal86::backdrop {
    background-color: rgba(0,0,0,.55);
}



#modal,#modal2,#modal3,#modal4,#modal5,#modal6,#modal7,#modal8,#modal9,#modal10,#modal11,#modal12,
#modal13,#modal14,#modal15,#modal16,#modal17,#modal18,#modal19,#modal20,#modal21,#modal22,
#modal23,#modal24,#modal25,#modal26,#modal27,#modal28,#modal29,#modal30,#modal31,#modal32,#modal33,#modal34,
#modal35,#modal36,#modal37,#modal38,#modal39,#modal40,#modal41,#modal42,#modal43,#modal44,
#modal45,#modal46,#modal47,#modal48,#modal49,#modal50,#modal51,#modal52,#modal53,#modal54,#modal55,#modal56,
#modal57,#modal58,#modal59,#modal60,#modal61,#modal62,#modal63,#modal64,#modal65,#modal66,
#modal67,#modal68,#modal69,#modal70,#modal71,#modal72,#modal73,#modal74,#modal75,#modal76,#modal77,#modal78,
#modal79,#modal80,#modal81,#modal82,#modal83,#modal84,#modal85, #modal86 {
    border-radius: 1.5rem;
    max-width: 43ch;
    height: 40vh;
    position: fixed;
    text-align: center;
    justify-content: center;
	margin: auto;
}

.disabled {
    display: none;
}

.header-mobile {
    display: none;
}

.close__menu{
    display: none;
}
/****************************/
/*        MEDIA QUERY       */
/****************************/

@media screen and (max-width: 600px) {
    .wrapper {
        grid-template-columns: 1fr;
        padding: 0;
    }

    aside {
        position: fixed;
        z-index: 5;
        background-color: var(--clr-main);
        left: 0;
        box-shadow: 0 0 0 100vmax rgba(0,0,0, .75);
        transform: translateX(-50%);
        opacity: 0;
        visibility: hidden;
        transition: .2s;
    }

    .aside-visible{
        transform: translateX(0);
        opacity: 1;
        visibility: visible;
    }

    .boton-menu.active::before,
    .boton-menu.active::after {
        display: none;
    }

    main{
        margin-top: 0;
        margin: 1rem;
        padding: 2rem;
    }

    .contenedor-productos {
        grid-template-columns: 1fr 1fr;
    }

    .header-mobile {
        padding: 1rem;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .header-mobile h4{
        color: var(--clr-white);
    }

    .open__menu, .close__menu {
        background-color: transparent;
        color: var(--clr-white);
        border: 0;
        font-size: 2rem;
        cursor: pointer;
    }

    .close__menu{
        display: block;
        position: absolute;
        top: 1rem;
        right: 1rem;
    }
}

